Class IPOOfferingListResponse
java.lang.Object
markets.alpaca.client.openapi.broker.model.IPOOfferingListResponse
- All Implemented Interfaces:
Serializable
@Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
comments="Generator version: 7.23.0")
public class IPOOfferingListResponse
extends Object
implements Serializable
Wrapper response returned by `GET /v1/ipos`.
- See Also:
-
Nested Class Summary
Nested Classes -
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionaddDataItem(IPOOffering dataItem) data(List<IPOOffering> data) booleanstatic IPOOfferingListResponseCreate an instance of IPOOfferingListResponse given an JSON stringReturn the additional (undeclared) property.Return the additional (undeclared) property with the specified name.getData()The page of IPO offerings matching the query.Opaque cursor for the next page of results.inthashCode()nextPageToken(String nextPageToken) putAdditionalProperty(String key, Object value) Set the additional (undeclared) property with the specified name and value.voidsetData(List<IPOOffering> data) voidsetNextPageToken(String nextPageToken) toJson()Convert an instance of IPOOfferingListResponse to an JSON stringtoString()static voidvalidateJsonElement(com.google.gson.JsonElement jsonElement) Validates the JSON Element and throws an exception if issues found
-
Field Details
-
SERIALIZED_NAME_DATA
- See Also:
-
SERIALIZED_NAME_NEXT_PAGE_TOKEN
- See Also:
-
openapiFields
-
openapiRequiredFields
-
-
Constructor Details
-
IPOOfferingListResponse
public IPOOfferingListResponse()
-
-
Method Details
-
data
-
addDataItem
-
getData
The page of IPO offerings matching the query.- Returns:
- data
-
setData
-
nextPageToken
-
getNextPageToken
Opaque cursor for the next page of results. When `null`, there are no further pages. Pass this value back as the `page_token` query parameter to fetch the next page.- Returns:
- nextPageToken
-
setNextPageToken
-
putAdditionalProperty
Set the additional (undeclared) property with the specified name and value. If the property does not already exist, create it otherwise replace it.- Parameters:
key- name of the propertyvalue- value of the property- Returns:
- the IPOOfferingListResponse instance itself
-
getAdditionalProperties
Return the additional (undeclared) property.- Returns:
- a map of objects
-
getAdditionalProperty
Return the additional (undeclared) property with the specified name.- Parameters:
key- name of the property- Returns:
- an object
-
equals
-
hashCode
public int hashCode() -
toString
-
validateJsonElement
Validates the JSON Element and throws an exception if issues found- Parameters:
jsonElement- JSON Element- Throws:
IOException- if the JSON Element is invalid with respect to IPOOfferingListResponse
-
fromJson
Create an instance of IPOOfferingListResponse given an JSON string- Parameters:
jsonString- JSON string- Returns:
- An instance of IPOOfferingListResponse
- Throws:
IOException- if the JSON string is invalid with respect to IPOOfferingListResponse
-
toJson
Convert an instance of IPOOfferingListResponse to an JSON string- Returns:
- JSON string
-